This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 534405 - (RHQ-1204) JMX Plugin should support more operation parameter types
JMX Plugin should support more operation parameter types
Status: ASSIGNED
Product: RHQ Project
Classification: Other
Component: Plugins, Core UI (Show other bugs)
unspecified
All All
high Severity medium (vote)
: ---
: ---
Assigned To: Lukas Krejci
Mike Foley
http://jira.rhq-project.org/browse/RH...
: FutureFeature, Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-01 15:23 EST by Jay Shaughnessy
Modified: 2015-02-05 20:19 EST (History)
3 users (show)

See Also:
Fixed In Version: 1.4
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jay Shaughnessy 2008-12-01 15:23:00 EST
Related to support issue 237962.

Currently the JMX plugin supports only the String and Boolean type for parameters.  We should support other types.  There is a TODO for this already in MBeanResourceComponent.
Comment 1 Joseph Marques 2009-04-28 04:06:05 EDT
i raised the priority on this as i think it would be a great win for plugin developers writing against JMX-enabled managed resources.
Comment 2 Red Hat Bugzilla 2009-11-10 15:28:01 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1204
Comment 3 Lukas Krejci 2010-10-06 11:47:56 EDT
MBeanResourceComponent currently only supports simple properties in its configuration and also in its operation types.

I believe this was purely because of the lack of the UI support for "list of simples". Why not extend the number of supported types to arrays that would be modelled by the list of simples, which are now implemented in the GWT UI?

Note You need to log in before you can comment on or make changes to this bug.